Bug 967876 - [RFE] Remove ability to install bind-dyndb-ldap without persistent search
[RFE] Remove ability to install bind-dyndb-ldap without persistent search
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Martin Kosek
Namita Soman
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2013-05-28 09:10 EDT by Dmitri Pal
Modified: 2015-01-16 03:43 EST (History)
1 user (show)

See Also:
Fixed In Version: ipa-3.3.0-4.el7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-06-13 05:55:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2013-05-28 09:10:00 EDT
This bug is created as a clone of upstream ticket:

With development of DNSSEC feature in bind-dyndb-ldap which is planned for Fedora 20, it becomes clear that persistent search will be mandatory.

Remove all options and code that allowed to install FreeIPA+DNS without persistent search enabled:

                        Do not enable persistent search feature in the name
                        When set to non-zero the name server will use DNS zone
                        detection based on polling instead of a persistent

Persistent search should be the only bind-dyndb-ldap's LDAP synchronization option from now on.
Comment 3 Namita Soman 2013-12-12 15:25:11 EST
Verified using

Automated test result:
:: [   LOG    ] :: BZ967876 - --no-persistent-search removed from ipa-server-install

:: [   PASS   ] :: Make sure that this option does not appear to be in the help section for ipa-server-install anymore (Expected 1, got 1)
:: [   PASS   ] :: Make sure persistant search option not in ipa-server-install man page (Expected 1, got 1)
:: [   PASS   ] :: Make sure persistant search option not in ipa-server-install info page (Expected 1, got 1)
:: [ 16:21:28 ] ::  Executing ipa-server-install --idstart=3000 --ip-address --idmax=50000 --setup-dns --forwarder= --hostname=qeblade6.testrelm.com -r TESTRELM.COM -n testrelm.com -p Secret123 -P Secret123 -a Secret123 -U --no-persistent-search
ipa-server-install: error: no such option: --no-persistent-search
:: [   PASS   ] :: Make sure that ipa-server-install fails with correct error message when --no-persistent-search is passed (Expected 0, got 0)
:: [ 16:21:28 ] ::  Uninstall for next test
Shutting down all IPA services
Removing IPA client configuration
Unconfiguring ntpd
Unconfiguring CA
Unconfiguring named
Unconfiguring web server
Unconfiguring krb5kdc
Unconfiguring kadmin
Unconfiguring directory server
Unconfiguring ipa_memcached
Unconfiguring ipa-otpd
:: [   PASS   ] :: Uninstalling ipa server for next test (Expected 0, got 0)
ls: cannot access /etc/sssd/sssd.conf: No such file or directory
:: [   PASS   ] :: Making sure that /etc/sssd/sssd.conf does not exist. BZ 819982 (Expected 2, got 2)
BZ967876-no-persistent-search-removed-from-ipa-server-install result: PASS
   metric: 0
   Log: /var/tmp/beakerlib-17694502/journal.txt
   DMesg: /mnt/testarea/dmesg.log
    Info: Searching AVC errors produced since 1386105686.46 (Tue Dec  3 16:21:26 2013)
     Searching logs...
     Fail: AVC messages found.
     Checking for errors...
     Using stronger AVC checks.
	Define empty RHTS_OPTION_STRONGER_AVC parameter if this causes any problems.
     Info: No AVC messages found.
     Info: No AVC messages found.
 Writing to /mnt/testarea/tmp.UpIGfn
   AvcLog: /mnt/testarea/tmp.UpIGfn
Comment 5 Ludek Smid 2014-06-13 05:55:58 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.